# Retrieve the Braintree token

Issues a Braintree client token for the current blaize session.
This holds the user's userId if the user has an authenticated session.
This token can be used to request a payment once.

Endpoint: GET /blaize/payment/braintree/token
Version: 2025-07-30
Security: CookieBlaizeSession, JwtQuery, JwtHeaderXBlaizeJwt, JwtHeaderXZephrJwt, JwtBearer, JwtCookie

## Query parameters:

  - `allowUnauthenticated` (boolean)
    If tokens can be generated for unauthenticated user sessions - defaults to false.

## Header parameters:

  - `cookie` (string)
    The session cookie.
    Example: "`blaize_session=...` (string)"

## Response 200 fields (application/json):

  - `token` (string)
    Example: "eyJ2ZXmsaW5nQW...(lots more random-looking characters)...dyZWmVubW8iOiJvZmYifQ=="


## Response 401 fields
